using System;
using System.IO;
using System.Linq;

namespace _2023._05._30
{
    class Program
    {
        static void Gyakorlas1()
        {
            int index = 0;
            int[] tomb = {100, 2, 3, 4};
            int max = tomb[0];

            for(int i = 1; i < tomb.Length; i++)
            {
                if(tomb[i] < max)
                {
                    max = tomb[i];
                    index = i;
                }
            }
            System.Console.WriteLine($"Legnagyobb érték: {max}");
            System.Console.WriteLine($"Legnagyobb érték indexe: {index}");
        }

        static void Gyakorlas2()
        {
            int[] tomb = {1, 5, 4, 9, 30, 20, 43, 1};
            int ker = 1;

            for(int i = 0; i < tomb.Length; i++)
            {
                if(tomb[i] == ker)
                {
                    System.Console.WriteLine($"A keresett elem indexe: {i}");
                    break;
                }
            }
        }

        static void Feladat1()
        {
            string path = @"E:\Suli\11.b\Programozás (Tusjak Brigitta)\C#\Források\szavak.txt";

            StreamReader r = new StreamReader(path);
            string szo = r.ReadLine();
            string leghosszabb = szo;
            string legrovidebb = szo;

            while(szo != null)
            {
                if(szo.Length > leghosszabb.Length)
                {
                    leghosszabb = szo;
                }

                if(szo.Length < legrovidebb.Length)
                {
                    legrovidebb = szo;
                }
                szo = r.ReadLine();
            }
            System.Console.WriteLine($"A legrövidebb szó: {legrovidebb}");
            System.Console.WriteLine($"A leghosszabb szó: {leghosszabb}");
        }
        static void Main(string[] args)
        {
            Gyakorlas2();
        }
    }

}
